/**
 * 안내 :: 2025-02-19(수)
 * 현재의 페이지는 오직 데모에 필요한 js만 사용합니다 그러므로 파일 관련 css는 multi_uploader/js 에서 관련 파일을 수정하세요 
**/
 
	MARI.file_uploder.code.moduleUrl = '../../multi_uploader';
	const dataFolderUrl  = '../../multi_uploader/demo/demo_file';

	document.addEventListener("DOMContentLoaded", function () {
		const moduleCnt    = document.querySelectorAll('.uploader_module').length;  
		let uploadDataAry  = [ 
			{
				'board_id': 'test_board',
				'content_no': 123, 
				'file_ary': [],
			}
		];

		let oneFileInfoAry = [];

		for (let i = 0; i < 10; i++) {
			let num = i+1; 
			
			let testFileName = null;
			if(i==200){
				testFileName = '이것은 매우 길고 긴 파일명입니다. 여기에 여러 정보가 포함될 수 있으며, 사용자가 확인해야 하는 중요한 정보를 담고 있습니다.jpg'; 
			} 
		//	else
		//	if( i==2 ){ // 인위적인 중복을 만든다
		//		testFileName = num-1+'.jpg';
		//  } 
			else {
				testFileName = num+'.jpg';
		    }
		
			let eq_idx = 0;
			oneFileInfoAry.push(
				{   
					'_dataFileOriginalName'       :  testFileName, // 원본 이름을 그대로 갖고 있다
					'dataIcon'           :  '../../multi_uploader/images/file_kind/jpg.gif',
					'dataCode'           :  'M_'+eq_idx+'_1725727961592_'+num,
					'dataMakeType'       :  'M',
					'dataExt'            :  'jpg',
					'dataIdx'            :  i,
					'dataTempIdx'        :  i, 
					'dataPicture'        :  dataFolderUrl +'/'+num+'.jpg',

					'dataFileName'     :  testFileName, // 중복된 이름일 경우 새로운 이름으로 넣게 된다
					'dataFileOriginalName'       :  testFileName, // 원본 이름을 그대로 갖고 있다
					'dataImgHeight'      : '768',
					'dataImgWidth'       : '1024',
					'pictureHeight'      : '768',
					'pictureWidth'       : '1024',
					'file_naturalHeight' :  '768',
					'file_naturalWidth'  :  '1024',
					'file_pic_size'      :  '1024 x 768',
					'file_size'          :  '208KB',
					'file_type2'         :  '<em>JPEG 비트맵 그래픽 파일 ( jpg ) </em>',
					'file_type3'         :  '유형 : <em>JPEG 비트맵 그래픽 파일</em>',
					'lastModified2'      :  '2005년 10월 31일 월요일 오전0시 3분 56초',
					'lastModifiedDate2'  :  '2005-10-31(월) 오전 12:03',
					'last_modified'      :  '1130685152000',
					'lastModifiedDate'   :  '2023.01.01',
					
				//	'name'               :  testFileName,//num+'.jpg',  // 원본 이름을 그대로 갖고 가지만 사용하지 않은 쪽으로...
					'size'               :  '213166',
					'dataType'           :  'image/jpeg',  
				}
			); 

			// 파일별로 쌓는다
			uploadDataAry[0].file_ary.push(oneFileInfoAry[i]);
		}

		// 업로더별로 쌓는다 
		for (let a = 0; a <moduleCnt; a++) {
			modifyFile_Ary[a]  = uploadDataAry[0];
		}

	});